SketchAddEllipseOption Enumeration

NXOpen.Sketch.AddEllipseOption is an alias for NXOpen.SketchAddEllipseOption

class NXOpen.SketchAddEllipseOption

Bases: object

Used by NXOpen.Sketch.AddGeometry() to determine whether to treat an ellipse as an ellipse or generic conic when adding the curve to a sketch.

Treating an ellipse as a conic means that the ellipse will be given an anchor point. This affects, among other things, how the ellipse behaves when it is dragged.

In order for an ellipse to be treated as a conic, its end angle minus its start angle must be less than 180 degrees.

Enum Members

Enum Member Enum Member Description
TreatAsEllipse
TreatAsConic
ValueOf()

Returns enum member equivalent to the value passed. Useful for bit operations of enum members.

Signature ValueOf(value)

Parameters:value – Any integer value or bit operation result of enum members:type value: int:returns: Enum member equivalent to the value passed.
Return type:Enum Member type.

New in version NX9.0.1.

License requirements: None.